<template>
  <div class="stages">
    <ObTable
      :columns="columns"
      :functional-panel="true"
      :is-functional-group="false"
      :is-functional-sort="false"
      :remote-opt="{
        method: getStages,
        contentKey: 'tenders'
      }"
      @select="openTender"
    >
      <template
        slot="validity"
        slot-scope="{ data }"
      >
        <div :class="[ 'validity', { '-light-raspberry-red': data.item.validityPeriod && Math.abs(data.item.validityPeriod) < 3600 } ]">
          <i
            v-if="data.item.validityPeriod"
            class="icon clock"
          />

          <ObCountdown :duration="Math.abs(data.item.validityPeriod)" />
        </div>
      </template>
    </ObTable>
  </div>
</template>

<script>
  import stages from '../mixins/stages'
  import ObCountdown from 'common-components/src/obComponents/obCountdown'

  export default {
    name: 'tender-tab-carrier-stages',
    components: {
      ObCountdown
    },
    mixins: [
      stages
    ]
  }
</script>

<style lang="scss" scoped>
  .validity {
    display: grid;
    grid-auto-flow: column;
    grid-column-gap: 5px;
    align-items: center;

    .icon {
      color: $color-blue-navy-blue;
    }
  }
</style>